<!DOCTYPE html>
<html>
	<head>
		<title>车辆备案-详情</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport"
			content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />
		<!-- 所有的 css js 资源 -->
		<link rel="stylesheet" href="../../static/kj/element-ui/theme-chalk/index.css">
		<link rel="stylesheet" href="../../static/sa.css">
		<script src="../../static/kj/vue.min.js"></script>
		<script src="../../static/kj/element-ui/index.js"></script>
		<script src="../../static/kj/httpVueLoader.js"></script>
		<script src="../../static/kj/jquery.min.js"></script>
		<script src="../../static/kj/layer/layer.js"></script>
		<script src="../../static/sa.js"></script>
		<style type="text/css">
			.c-panel .c-label {
				width: 8em;
			}
		</style>
	</head>
	<body>
		<div class="vue-box sbot" style="display: none;" :style="'display: block;'">
			<!-- ------- 内容部分 ------- -->
			<div class="s-body">
				<div class="c-panel">
					<el-form v-if="m">
						<el-row>
							<el-col :span="12">
								<sa-info name="所属组织" br>{{m.deptName}}</sa-info>
								<sa-info name="联系人" br>{{m.driverName}}</sa-info>
								<sa-info name="联系电话" br>{{m.driverContact}}</sa-info>
								<sa-info name="联系人身份证" br>{{m.driverIdCard}}</sa-info>
								<sa-item type="datetime" name="备案过期" v-model="m.endTime" br></sa-item>
							</el-col>
							<el-col :span="12">
								<sa-info name="车牌号" br>{{m.carNo}}</sa-info>
								<sa-info name="商铺号" br v-if="m.shopCode">{{m.shopCode}}</sa-info>
								<sa-info name="创建时间" br>{{m.createTime}}</sa-info>
								<sa-info name="备注" br>{{m.remark}}</sa-info>
								<sa-item name="审核意见" type="textarea" v-model="m.judgeContent" br></sa-item>
							</el-col>
						</el-row>
					</el-form>
				</div>
			</div>
			<!-- ------- 底部按钮 ------- -->
			<div class="s-foot">
				<el-button type="success" @click="judge(1)">通过</el-button>
				<el-button type="danger" @click="judge(2)">不通过</el-button>
			</div>
		</div>
		<script>
			var app = new Vue({
				components: {
					"sa-info": httpVueLoader('../../sa-frame/com/sa-info.vue'),
					"sa-item": httpVueLoader('../../sa-frame/com/sa-item.vue')
				},
				el: '.vue-box',
				data: {
					id: sa.p('id', 0), // 获取数据ID 
					m: {
						endTime: '',
						judgeContent: ''
					}
				},
				methods: {
					judge(state) {
						sa.ajax('/TbCarFiling/judge', {
							id: this.id,
							judgeState: state
						}, function(res) {
							sa.alert('操作成功');
							setTimeout(() => {
								parent.app.f5(); // 刷新父页面列表
								sa.closeCurrIframe(); // 关闭本页 
							}, 2000)
						}.bind(this))
					}
				},
				// 添加/修改 完成后的动作
				clean: function() {
					parent.app.f5(); // 刷新父页面列表
					sa.closeCurrIframe(); // 关闭本页 
				},
				mounted: function() {
					sa.ajax('/TbCarFiling/getById?id=' + this.id, function(res) {
						this.m = res.data;
						if (res.data == null) {
							sa.alert('未能查找到 id=' + this.id + " 详细数据");
						}
					}.bind(this))
				}
			})
		</script>
	</body>
</html>
